### A free/open-source library for quantitative finance

Classes | Functions
ql/methods/finitedifferences/tridiagonaloperator.hpp File Reference

tridiagonal operator More...

`#include <ql/math/array.hpp>`
`#include <ql/math/comparison.hpp>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for tridiagonaloperator.hpp:

## Classes

class | TridiagonalOperator
| Base implementation for tridiagonal operator. More...
class | TridiagonalOperator::TimeSetter
| encapsulation of time-setting logic More...

## Functions

void | swap (TridiagonalOperator &, TridiagonalOperator &)
Disposable< TridiagonalOperator > | operator+ (const TridiagonalOperator &D)
Disposable< TridiagonalOperator > | operator- (const TridiagonalOperator &D)
Disposable< TridiagonalOperator > | operator+ (const TridiagonalOperator &D1, const TridiagonalOperator &D2)
Disposable< TridiagonalOperator > | operator- (const TridiagonalOperator &D1, const TridiagonalOperator &D2)
Disposable< TridiagonalOperator > | operator* (Real a, const TridiagonalOperator &D)
Disposable< TridiagonalOperator > | operator* (const TridiagonalOperator &D, Real a)
Disposable< TridiagonalOperator > | operator/ (const TridiagonalOperator &D, Real a)

## Detailed Description

tridiagonal operator